This is a development version of the documentation. Content may change without notice.
Voke Documentation
ReferenceREST API

Observability

Observability ingestion endpoints

Receive browser CSP violation reports

POST
/api/v1/csp-report

Request Body

application/json

csp-report*

Response Body

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/csp-report" \  -H "Content-Type: application/json" \  -d '{    "csp-report": {}  }'
Empty
{
  "code": "BAD_REQUEST",
  "details": {},
  "error": "Bad Request",
  "message": "Malformed CSP report body",
  "statusCode": 400
}
{
  "code": "PAYLOAD_TOO_LARGE",
  "details": {},
  "error": "Error",
  "message": "CSP report body exceeds 8 KB cap",
  "statusCode": 400
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "details": {},
  "error": "Internal Server Error",
  "message": "Failed to persist the CSP violation audit entry",
  "statusCode": 400
}